@if defined echo (echo %echo% ) else echo off
setlocal

@REM set DEBUG_INSTALL=yes to turn on debugging statements
set DEBUG_INSTALL=no

set LaunchTitle=%0
Echo Start of [ %LaunchTitle% ] launch script.
Echo.

set EE50_INSTALL_FILESPEC=
set EE50_INSTALL_ARGS=
set EE50_INSTALL_CMD=

:CheckForInstallExe
IF "%DEBUG_INSTALL%" == "yes" Echo Attempting to locate Install.exe program...
IF "%DEBUG_INSTALL%" == "yes" Echo.

set EE50_INSTALL_FILESPEC=.\Install.exe
set EE50_INSTALL_ARGS=-P EEX_BRB.replaceOption=0 -P EEX_CMMFeature.replaceOption=0 -P EEX_DQ.replaceOption=0 -P EEX_OS.replaceOption=0 -P EEX_SCHED.replaceOption=0 -P EEX_PCFeature.replaceOption=0 -P EEX_CORBA.replaceOption=0 -P EEX_EJBJarFilesComponent.replaceOption=0 -P EEX_PRTFilesComponent.replaceOption=0

IF EXIST %EE50_INSTALL_FILESPEC% GoTo ValidateArgs
IF "%EE50_INSTALL_HOME%" == "" GoTo InstallHomeNotSet
IF NOT EXIST "%EE50_INSTALL_HOME%\Install.exe" GoTo InstallExeNotFound
set EE50_INSTALL_FILESPEC=%EE50_INSTALL_HOME%\Install.exe
GoTo ValidateArgs

:InstallHomeNotSet
Echo EE50_INSTALL_HOME must be set before launching this script.
Echo Set EE50_INSTALL_HOME manually with the directory where 
Echo the Install.exe program is located (ie: "D:")
Echo        ie. set EE50_INSTALL_HOME=D:
Echo.
Echo Alternatively, change directory to the directory where Install.exe is located
Echo and run this script from that location.
Echo.
Echo Exiting.
Echo.
GoTo End

:InstallExeNotFound
Echo Install.exe could not be found under EE50_INSTALL_HOME.
Echo Please ensure that EE50_INSTALL_HOME is set to the path where Install.exe is located.
Echo.
Echo Exiting.
Echo.
GoTo End

:ValidateArgs
IF "%DEBUG_INSTALL%" == "yes" Echo Passed error checking... validating usage.
IF "%1"=="" GoTo LaunchInstaller
GoTo Usage

:Usage
IF "%DEBUG_INSTALL%" == "yes" Echo Failed usage.  Showing Usage.  Exiting.
Echo.
Echo Usage: installEE50
Echo.
GoTo End

:LaunchInstaller
Echo Launching the installer...
Echo.

set EE50_INSTALL_CMD=%EE50_INSTALL_FILESPEC% %EE50_INSTALL_ARGS%
echo start /b %EE50_INSTALL_CMD%
start /b %EE50_INSTALL_CMD%
GoTo End


:End
Echo End of [ %LaunchTitle% ] launch script.
Echo.
endlocal

